<%
//
// Server side SLNKDWF tools
//

var TemporaryFolder = 2;
fso = Server.CreateObject("Scripting.FileSystemObject");
//tfolder = fso.GetSpecialFolder(TemporaryFolder);

// Check for parameter pName
// If not specified return defVal
// If defVal not specified pName is required
function _getParam(pName, defVal)
{
    var rq = Request.Querystring(pName)
    if (rq.count>0)
        return rq(1);
    else
    {
        if (typeof(defVal) != 'undefined')
            return defVal;
        else // Error message will get to client and/or IIS logfiles
            eval("INTERNAL_ERROR_PARAMETER_"+pName+"_IS_MISSING"); // A required parameter was not supplied
    }
}

function SLNKDWFError(msg)
{
    Response.Clear;
%>
    <html>
    <body onLoad='FcltMgr.alert("SLNKDWF Error:\n" + myError.innerHTML)';>
        <div id=myError style=display:none><%=msg%>
    </body>
    </html>
<%
    Response.End;
}

// Bijvoorbeeld te gebruiken bij serverside var naar clientside als de serverside var een
// komma kan bevatten
function toJsNumber(x)
{
    return(''+x).replace(',','.');
}

/************************************************************\
 * openContourDWF
 *
 *
 *
 * pminArea is optioneel: minimale oppervlakte om als
 *  contour herkend te worden (drawing units).
 *  Merk op dat bij SLNDKWF.DLL 2.12 deze setting globaal voor
 *  de hele DLL is. In theory hoeft hij dan ook maar ‚‚n keer
 *  na een reload gezet te worden.
\************************************************************/
function _openContourDWF(contFile, pContLayers, pLabelLayers, pMinArea)
{
    var oDWFFileCont = Server.CreateObject("SLNKDWF.DWFFile");
    oDWFFileCont.Open(contFile);

    var oWhipFile = Server.CreateObject("SLNKDWF.WhipFile");
    oWhipFile.SetLayers(pContLayers, pLabelLayers);

    if (pMinArea)
    {
        oWhipFile.minContSize = pMinArea;
    }

    if (oDWFFileCont.EplotSections.Count == 0)
        oWhipFile.Load(contFile);
    else
    {
        var eps = oDWFFileCont.EplotSections.Item(0);
        oWhipFile.LoadStream(eps);
    }
    return oWhipFile
}
%>